sc::ParallelRegionTimer(3)

NAME
sc::ParallelRegionTimer -

SYNOPSIS

Inherits sc::RegionTimer.

  Public Member Functions
ParallelRegionTimer (const Ref< MessageGrp > &, const char *topname='total', int cpu_time=0, int wall_time=1)
ParallelRegionTimer (const Ref< KeyVal > &)
void print (std::ostream &=ExEnv::out0()) const
Print the object.

  Protected Member Functions
void send_subregions (int node, const TimedRegion *r) const
void recv_subregions (int node, TimedRegion *r) const
void all_reduce_regions () const

  Protected Attributes
Ref< MessageGrp > msg_

Author

Generated automatically by Doxygen for MPQC from the source code.